Skip to main content
`Ctrl`+`K`

# TSSundialsSetLinearTolerance

Sets the tolerance used to solve the linear system by `TSSUNDIALS`.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSSundialsSetLinearTolerance(TS ts, PetscReal tol)

Logically Collective

## Input Parameters

- ts - the time-step context

- tol - the factor by which the tolerance on the nonlinear solver is multiplied to get the tolerance on the linear solver, .05 by default.

## See Also

TS: Scalable ODE and DAE Solvers, `TSSundialsGetIterations()`, `TSSundialsSetType()`, `TSSundialsSetMaxl()`, `TSSundialsSetGramSchmidtType()`, `TSSundialsSetTolerance()`, `TSSundialsGetPC()`, `TSSetExactFinalTime()`

## Level

advanced

## Location

src/ts/impls/implicit/sundials/sundials.c

## Implementations

TSSundialsSetLinearTolerance_Sundials() in src/ts/impls/implicit/sundials/sundials.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages